Bug 740323 - Trac seems to use /var/lib/trac but it is not in the payload.
Summary: Trac seems to use /var/lib/trac but it is not in the payload.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: trac
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 16:05 UTC by Daniel Walsh
Modified: 2016-12-20 12:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:09:27 UTC


Attachments (Terms of Use)

Description Daniel Walsh 2011-09-21 16:05:24 UTC
Description of problem:

Putting it in the payload would allow us to label it with SELinux properly.
Do you know of SELinux issues with this package?

Comment 1 Paul Howarth 2011-09-22 08:04:04 UTC
The only mention I see of /var/lib/trac in the package is in the example configuration documentation from upstream:

# rpm -ql trac | xargs grep var/lib
/etc/trac/trac.ini:path = /var/lib/trac/doxygen
/usr/lib/python2.7/site-packages/trac/wiki/default-pages/TracFastCgi:   FastCgiIpcDir /var/lib/apache2/fastcgi 
/usr/lib/python2.7/site-packages/trac/wiki/default-pages/TracPlugins:FastCgiConfig -initial-env TRAC_ENV=/var/lib/trac -initial-env PYTHON_EGG_CACHE=/var/lib/trac/plugin-cache

Are you seeing it anywhere else?

The only SELinux issues I had when using trac with mod_fcgid were setting up file contexts for its data under /srv:

http://www.city-fan.org/tips/TracWithFastCGIonFedora

Comment 2 Paul Howarth 2011-09-22 08:09:41 UTC
(In reply to comment #1)
> # rpm -ql trac | xargs grep var/lib
> /etc/trac/trac.ini:path = /var/lib/trac/doxygen

Whoops, I missed that one: I haven't tried the doxygen support myself. I thought that was in an external plug-in...

Comment 3 Daniel Walsh 2011-09-22 12:55:59 UTC
Paul is there a standard directory to install trac data in that needs SELinux labels.  If so it would work better if this directory was included in the payload and we set up default labeling for it.

Currently the "Selinux is a pain" string that is going on in Fedora mail lists was caused by someone complaining about setting up trac with SELinux.

Comment 4 Paul Howarth 2011-09-22 13:28:28 UTC
(In reply to comment #3)
> Paul is there a standard directory to install trac data in that needs SELinux
> labels.  If so it would work better if this directory was included in the
> payload and we set up default labeling for it.

There isn't really one. The upstream documentation (e.g. http://trac.edgewall.org/wiki/TracInstall#CreatingaProjectEnvironment) just uses "/path/to/myproject".

> Currently the "Selinux is a pain" string that is going on in Fedora mail lists
> was caused by someone complaining about setting up trac with SELinux.

I think adding SELinux context info in the trac README.fedora is probably the best we can do. However, there are many ways of running trac (e.g. it includes its own cut-down web server, which is one option, then there's apache with WSGI or apache with mod_fcgid etc.).

Or maybe there could be sample set-up included that supported multiple instances and used say apache with WSGI and had environments under /var/lib/trac/site{1,2,3} etc. and then there could be default contexts for those directories?

Comment 5 Daniel Walsh 2011-09-22 15:18:19 UTC
Yes I would prefer the sample setup, so we can get consistency. Upstream can have all the flexibility it wants but we can package it in a way that makes documentation and security easier.

Comment 6 Fedora End Of Life 2013-04-03 15:52:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Fedora End Of Life 2015-01-09 16:47:42 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Jan Kurik 2015-07-15 15:14:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 9 Fedora End Of Life 2016-11-24 10:34:16 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2016-12-20 12:09:27 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.